Descargar para Linux

La última versión de calibre es 3.12.0. Novedades.

Por favor, no use el paquete de calibre proporcionado por su distribución, ya que a menudo tiene fallos o está anticuado. En su lugar, use la instalación binaria como se describe a continuación.

Instalación binaria

calibre cuenta con una instalación binaria que incluye versiones privadas y todas sus dependencias. Puede ejecutarse en equipos compatibles con Intel de 32 o 64 bits. Para instalar o actualizar, copie y pegue la siguiente orden en una terminal y pulse intro:

sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.py | sudo python -c "import sys; main=lambda:sys.stderr.write('Download failed\n'); exec(sys.stdin.read()); main()"

Mientras espera a que termine la descarga, por favor considere contribuir a financiar el desarrollo de calibre.

Nota

  • Si recibe un error sobre un certificado sin confianza, eso significa que su equipo no tiene ningún certificado raíz instalado y no puede descargar el instalador de manera segura. Si aún desea continuar, pase la opción «--no-check-certificate» a wget, así:
    sudo -v && wget --no-check-certificate -nv -O- https://download.calibre-ebook.com/linux-installer.py | sudo python -c "import sys; main=lambda:sys.stderr.write('Download failed\n'); exec(sys.stdin.read()); main()"
  • Debe tener xdg-utils, wget y python ≥ 2.6 instalados en el sistema antes de ejecutar el instalador.
  • Puede desinstalar calibre ejecutando sudo calibre-uninstall. O puede simplemente borrar el directorio de instalación, lo que eliminará el 99% de los archivos instalados.
  • Necesita GLIBC 2.17 o posterior y libstdc++.so.6.0.17 (de gcc 4.7.0) o posterior para ejecutar calibre
  • Puede cambiar el directorio donde se instala calibre (el predeterminado es /opt) así:
    sudo -v && wget -nv -O- https://download.calibre-ebook.com/linux-installer.py | sudo python -c "import sys; main=lambda x:sys.stderr.write('Download failed\n'); exec(sys.stdin.read()); main('/opt')"
    Cambie /opt al directorio donde quiera que se instale calibre automáticamente.
  • También puede realizar una instalación "aislada", que sólo modificará archivos en el directorio de instalación y no necesita ejecutarse como root, así:
    wget -nv -O- https://download.calibre-ebook.com/linux-installer.py | python -c "import sys; main=lambda x,y:sys.stderr.write('Download failed\n'); exec(sys.stdin.read()); main('~/calibre-bin', True)"

Instalación binaria manual o volver a una versión anterior

Si desea volver a una versión anterior de calibre o descargar manualmente una actualización, descargue el archivo tar de la versión aquí (elija la versión de 32 o 64 bits, según su equipo). Suponiendo que quiera calibre en /opt/calibre, ejecute la siguiente orden, cambiando la ruta a calibre-tarball.txz según sea necesario:

    sudo mkdir -p /opt/calibre && sudo rm -rf /opt/calibre/* && sudo tar xvf /path/to/downloaded/calibre-tarball.txz -C /opt/calibre && sudo /opt/calibre/calibre_postinstall
    

Instalación a partir de fuentes

ADVERTENCIA: calibre es un programa muy complicado, con muchas dependencias delicadas. Si instala a partir de fuentes, lo hará por su cuenta. Por favor no abra informes de fallos ni espera ningún tipo de ayuda. Está sobre aviso.

Si sigue decidido a instalar a partir de fuentes, siga leyendo:

  1. Asegúrese de que el sistema tiene python 2 instalado.
  2. Instale las dependencias que se detallan a continuación
  3. Ejectue las siguientes órdenes en una terminal:
curl -L https://calibre-ebook.com/dist/src | tar xvJ 
cd calibre*
sudo python2 setup.py install
        


Dependencias

La lista actualizada de dependencias que se incluyen en los binarios de calibre puede verse en sources.json. Aunque es posible que calibre se ejecute con versiones distintas de las dependencias, no está probado ni soportado. Además de estas dependencias son necesarios varios requisitos como pkg-config, un compilador de C/C++, etc. También puede acelerar considerablemente la sección "Compiling RapydScript" del proceso instalando rapydscript-ng.

Elija un idioma